Debian Bug report logs - #646377
ITP: xonotic -- a fast-paced first-person shooter

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Devid Antonio Filoni <devidfil@gmail.com>

Date: Sun, 23 Oct 2011 17:24:02 UTC

Owned by: David Bate <david@bate.org.uk>

Severity: wishlist

Merged with 652837, 660636

Fix blocked by 668347: ITP: d0-blind-id -- library for user identification using RSA blind signatures, 712125: ITP: gmqcc -- Improved QuakeC compiler

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Devid Antonio Filoni <d.filoni@ubuntu.com>:
Bug#646377; Package wnpp. (Sun, 23 Oct 2011 17:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Devid Antonio Filoni <devidfil@gmail.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org, Devid Antonio Filoni <d.filoni@ubuntu.com>. (Sun, 23 Oct 2011 17:24:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Devid Antonio Filoni <devidfil@gmail.com>
To: submit@bugs.debian.org
Subject: ITP: xonotic -- a fast-paced first-person shooter
Date: Sun, 23 Oct 2011 19:20:55 +0200
Package: wnpp
Severity: wishlist
Owner: Devid Antonio Filoni <d.filoni@ubuntu.com>


Package name xonotic
URL: http://www.xonotic.org/
Description: a fast-paced first-person shooter
 Xonotic is a free (GPL), fast-paced first-person shooter that works
on Windows, OS X and
 Linux. The project is geared towards providing addictive arena
shooter gameplay which
 is all spawned and driven by the community itself. Xonotic is a
direct successor of the
 Nexuiz project with years of development between them, and it aims to
become the
 best possible open-source FPS (first-person-shooter) of its kind.




Reply sent to Devid Antonio Filoni <devidfil@gmail.com>:
You have taken responsibility. (Sun, 23 Oct 2011 21:42:04 GMT) Full text and rfc822 format available.

Notification sent to Devid Antonio Filoni <devidfil@gmail.com>:
Bug acknowledged by developer. (Sun, 23 Oct 2011 21:42:05 GMT) Full text and rfc822 format available.

Message #10 received at 646377-done@bugs.debian.org (full text, mbox):

From: Devid Antonio Filoni <devidfil@gmail.com>
To: 646377-done@bugs.debian.org
Subject: Close
Date: Sun, 23 Oct 2011 23:40:07 +0200
I'm closing this bug because I'm not interested on working on it.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Devid Antonio Filoni <d.filoni@ubuntu.com>:
Bug#646377; Package wnpp. (Fri, 04 Nov 2011 09:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <odyx@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Devid Antonio Filoni <d.filoni@ubuntu.com>. (Fri, 04 Nov 2011 09:45:04 GMT) Full text and rfc822 format available.

Message #15 received at 646377@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: nexuiz@packages.qa.debian.org
Cc: 646377@bugs.debian.org
Subject: Re: Bug#646377: ITP: xonotic -- a fast-paced first-person shooter
Date: Fri, 4 Nov 2011 10:40:52 +0100
[Message part 1 (text/plain, inline)]
Le dimanche, 23 octobre 2011 19.20:55, Devid Antonio Filoni a écrit :
> Package: wnpp
> Severity: wishlist
> Owner: Devid Antonio Filoni <d.filoni@ubuntu.com>
> 
> Package name xonotic
> URL: http://www.xonotic.org/
> Description: a fast-paced first-person shooter
>  Xonotic is a free (GPL), fast-paced first-person shooter that works
> on Windows, OS X and Linux. The project is geared towards providing
> addictive arena shooter gameplay which is all spawned and driven by the
> community itself. Xonotic is a direct successor of the Nexuiz project with
> years of development between them, and it aims to become the best possible
> open-source FPS (first-person-shooter) of its kind.

Hi dear Nexuiz maintainers, 

Devid filed this ITP ~2 weeks ago, and closed it some hours later. Now, 
looking around for 3D FPS available for Debian, I fell on the Xonotic project, 
and then on this ITP. So now I wonder: given the situation of Nexuiz (and its 
Xonotic fork), are there some plans to provide Xonotic as a successor of 
Nexuiz in Debian or will it (if it will) be packaged separately?

Cheers,

-- 
OdyX
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Devid Antonio Filoni <d.filoni@ubuntu.com>:
Bug#646377; Package wnpp. (Tue, 29 Nov 2011 19:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Devid Antonio Filoni <d.filoni@ubuntu.com>. (Tue, 29 Nov 2011 19:45:03 GMT) Full text and rfc822 format available.

Message #20 received at 646377@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: Didier Raboud <odyx@debian.org>, 646377@bugs.debian.org
Cc: nexuiz@packages.qa.debian.org
Subject: Re: Bug#646377: ITP: xonotic -- a fast-paced first-person shooter
Date: Tue, 29 Nov 2011 19:43:20 +0000
On Fri, 04 Nov 2011 at 10:40:52 +0100, Didier Raboud wrote:
> Devid filed this ITP ~2 weeks ago, and closed it some hours later. Now, 
> looking around for 3D FPS available for Debian, I fell on the Xonotic project, 
> and then on this ITP. So now I wonder: given the situation of Nexuiz (and its 
> Xonotic fork), are there some plans to provide Xonotic as a successor of 
> Nexuiz in Debian or will it (if it will) be packaged separately?

My only interest in Nexuiz is that it's another user of the Darkplaces
(enhanced Quake 1) engine. I uploaded a version of Nexuiz without its own
engine to reduce our embedded-code-copies technical debt.
I don't plan to package Xonotic myself (I'm trying to avoid ending up
in the Uploaders of any more games I don't actually play...), but if
someone else wants to package it, I'd be happy to help out from the
darkplaces angle.

Now that Xonotic has a non-alpha release, it's probably suitable for
packaging. I think the packaging should be "the same shape as" nexuiz -
a wrapper around the darkplaces engine (which I believe is shared between
Quake 1, Nexuiz Classic, Xonotic and others without needing per-game patches).

To avoid trademark infringement or misleading our users, it should be
packaged under the name "xonotic". (Our Nexuiz Classic packages are fine
under the name "nexuiz", IMO, because that was the name of the game when it
was released - but that justification doesn't apply to Xonotic.)

Beware that for GPL and Policy compliance, a prospective maintainer might
need to rebuild the game logic from source, which may require packaging a
QuakeC compiler. I believe there's at least one Free QuakeC compiler.
Nexuiz Classic's game logic is in nexuiz-data; it's entirely possible that
it's packaged in a non-GPL-compliant and/or not-built-from-source way,
like OpenArena used to be. I haven't researched it.

Hopefully Darkplaces doesn't have a "pure server" mechanism. If it does,
then rebuilding the game logic while retaining network compatibility requires
circumventing that mechanism, like I did for OpenArena. Don't expect upstream
to help you with this - if they're anything like ioquake3/openarena upstream,
they'll probably consider it to be a form of cheating.

I think whether Nexuiz Classic should be removed from the archive should be
decided on its own merits. The facts are that it's a dead-upstream game,
running on an upstream-maintained engine that we want in the archive
anyway (for Xonotic and (non-free) Quake 1). As long as it isn't a burden
and has users, we might as well keep it; but if it becomes a burden, then
it needs either an active maintainer looking after it, or removal.

If Nexuiz Classic was removed from the archive, Xonotic could in principle
provide transitional packages, but I'm inclined to say it still shouldn't -
I'm inclined to think of Xonotic as a sequel to Nexuiz Classic, rather
than a replacement (think Doom vs. Doom II - which also had the same engine,
give or take).

    S




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 28 Dec 2011 07:38:02 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from "Didier 'OdyX' Raboud" <odyx@debian.org> to control@bugs.debian.org. (Mon, 20 Feb 2012 13:45:13 GMT) Full text and rfc822 format available.

Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 20 Feb 2012 13:45:14 GMT) Full text and rfc822 format available.

Changed Bug title to 'RFP: xonotic -- a fast-paced first-person shooter' from 'ITP: xonotic -- a fast-paced first-person shooter' Request was from "Didier 'OdyX' Raboud" <odyx@debian.org> to control@bugs.debian.org. (Mon, 20 Feb 2012 13:45:16 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Devid Antonio Filoni <d.filoni@ubuntu.com>. Request was from Didier Raboud <odyx@debian.org> to control@bugs.debian.org. (Mon, 20 Feb 2012 14:21:08 GMT) Full text and rfc822 format available.

Merged 646377 652837 660636. Request was from Didier Raboud <odyx@debian.org> to control@bugs.debian.org. (Mon, 20 Feb 2012 14:21:08 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 646377: 668347 Request was from Simon McVittie <smcv@debian.org> to control@bugs.debian.org. (Wed, 11 Apr 2012 08:57:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 646377: 668350 Request was from Simon McVittie <smcv@debian.org> to control@bugs.debian.org. (Wed, 11 Apr 2012 08:57:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#646377; Package wnpp. (Wed, 11 Apr 2012 09:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 11 Apr 2012 09:27:06 GMT) Full text and rfc822 format available.

Message #41 received at 646377@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: debian-devel-games@lists.debian.org
Cc: Didier Raboud <odyx@debian.org>, 646377@bugs.debian.org
Subject: Re: Bug#646377: RFP: xonotic -- a fast-paced first-person shooter
Date: Wed, 11 Apr 2012 10:24:08 +0100
Who likes online-only multiplayer first-person shooters? Does anyone want to
maintain Xonotic?

The necessary steps go something like this:

* update fteqcc (#668350) - initially in experimental would be best

* package the data, similar to nexuiz-data (probably one source package
  per PK3 file produced, like openarena-data, so it fits on CDs/DVDs better)

* package d0_blind_id (#668347) and link darkplaces against it

* optionally, patch either d0_blind_id or darkplaces to use one of the
  many AES implementations already in the archive (maybe Nettle?) instead
  of d0_blind_id providing yet another AES implementation

* update darkplaces to a suitable version (we currently have the version
  that Xonotic upstream recommended for Xonotic 0.5)

Merlijn Hofstra and Rudolf Polzer from Xonotic upstream have been in contact
with me about it, and would probably help out a prospective maintainer.

I can help from the darkplaces and library-packaging angle, free time
permitting, but since I don't actually play Xonotic, I am not willing to
be its maintainer.

On Tue, 29 Nov 2011 at 19:43:20 +0000, Simon McVittie wrote:
> Beware that for GPL and Policy compliance, a prospective maintainer might
> need to rebuild the game logic from source, which may require packaging a
> QuakeC compiler. I believe there's at least one Free QuakeC compiler.

fteqcc is in fact in the archive, but needs updating (#668350). That will
break nexuiz-data, which will need patching (#668349), unless Nexuiz
is removed altogether.

Regards,
    S




Changed Bug title to 'ITP: xonotic -- a fast-paced first-person shooter' from 'RFP: xonotic -- a fast-paced first-person shooter' Request was from David Bate <davebate@gmail.com> to control@bugs.debian.org. (Thu, 12 Apr 2012 15:57:09 GMT) Full text and rfc822 format available.

Owner recorded as David Bate <davebate@gmail.com>. Request was from David Bate <davebate@gmail.com> to control@bugs.debian.org. (Thu, 12 Apr 2012 15:57:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, David Bate <davebate@gmail.com>:
Bug#646377; Package wnpp. (Thu, 25 Oct 2012 12:54:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guest One <theguestone@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, David Bate <davebate@gmail.com>. (Thu, 25 Oct 2012 12:54:07 GMT) Full text and rfc822 format available.

Message #50 received at 646377@bugs.debian.org (full text, mbox):

From: Guest One <theguestone@gmail.com>
To: 646377@bugs.debian.org
Date: Thu, 25 Oct 2012 14:50:26 +0200
[Message part 1 (text/plain, inline)]
Some news about inclusion of Xonotic in official Debian repositories?
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#646377; Package wnpp. (Sat, 27 Oct 2012 20:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Bate <davebate@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 27 Oct 2012 20:27:05 GMT) Full text and rfc822 format available.

Message #55 received at 646377@bugs.debian.org (full text, mbox):

From: David Bate <davebate@gmail.com>
To: Guest One <theguestone@gmail.com>, 646377@bugs.debian.org
Subject: Re: Bug#646377:
Date: Sat, 27 Oct 2012 21:22:13 +0100
Unfortunately, progress has been slow recently... I have not been able
to devote as much time to this as I would like.

Current status - I have the required updated packages of the
darkplaces engine and fteqcc and a first package of d0-blind-id on my
machine.  I am currently in the process of packaging the game data
and, for this, packaging q3map2, the map compiler used for xonotic.

I am not sure how long this will take me but I think I should have
more time available for it soon...  Any help is appreciated :).

David



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, David Bate <davebate@gmail.com>:
Bug#646377; Package wnpp. (Mon, 03 Jun 2013 17:27:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Xavier Cartron <bcnofne@lavabit.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, David Bate <davebate@gmail.com>. (Mon, 03 Jun 2013 17:27:12 GMT) Full text and rfc822 format available.

Message #60 received at 646377@bugs.debian.org (full text, mbox):

From: Xavier Cartron <bcnofne@lavabit.com>
To: Debian Bug Tracking System <646377@bugs.debian.org>
Subject: what about now?
Date: Mon, 03 Jun 2013 19:25:30 +0200
Package: wnpp
Followup-For: Bug #646377

Hello,
I was wondering where the packaging of xonotic is since your last
message?
You seems to ask for help. What kind of help would you need? (to see if
I can be useful...)

Regards,

Xavier




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, David Bate <davebate@gmail.com>:
Bug#646377; Package wnpp. (Tue, 04 Jun 2013 23:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Bate <david@bate.org.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, David Bate <davebate@gmail.com>. (Tue, 04 Jun 2013 23:24:04 GMT) Full text and rfc822 format available.

Message #65 received at 646377@bugs.debian.org (full text, mbox):

From: David Bate <david@bate.org.uk>
To: Xavier Cartron <bcnofne@lavabit.com>, 646377@bugs.debian.org
Subject: Re: Bug#646377: what about now?
Date: Tue, 04 Jun 2013 23:54:06 +0100
Status update.

* The version of Darkplaces (the engine that Xonotic uses) in Debian
  is now the required version for Xonotic 0.6.  I am currently looking
  at a slightly newer version, as it is an official Darkplaces release.
* I have working versions of the tools required to package the data of
  Xonotic (fteqcc, q3map2) - they need a little tidying up before I
  attempt to have them included in Debian.  This will be my next step.
* Finally, I have not began packaging the data.  There is lots of it.
  If someone is willing to help, this would be the best place to
  begin.  I do not have anything concrete about this yet and would be
  willing to discuss.





Added blocking bug(s) of 646377: 712125 Request was from David Bate <david@bate.org.uk> to control@bugs.debian.org. (Thu, 13 Jun 2013 08:54:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, David Bate <davebate@gmail.com>:
Bug#646377; Package wnpp. (Thu, 13 Jun 2013 09:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Bate <david@bate.org.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, David Bate <davebate@gmail.com>. (Thu, 13 Jun 2013 09:18:04 GMT) Full text and rfc822 format available.

Message #72 received at 646377@bugs.debian.org (full text, mbox):

From: David Bate <david@bate.org.uk>
To: Xavier Cartron <bcnofne@lavabit.com>, 646377@bugs.debian.org
Subject: Re: Bug#646377: what about now?
Date: Thu, 13 Jun 2013 10:19:12 +0100
In fact, Xonotic 0.7 requires a new QuakeC compiler, GMQCC.  See
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=712125

If someone would like Xonotic packaged for Debian sooner, packaging
this would be a good start.



At Mon, 03 Jun 2013 19:25:30 +0200,
Xavier Cartron wrote:
> 
> Package: wnpp
> Followup-For: Bug #646377
> 
> Hello,
> I was wondering where the packaging of xonotic is since your last
> message?
> You seems to ask for help. What kind of help would you need? (to see if
> I can be useful...)
> 
> Regards,
> 
> Xavier



Owner changed from David Bate <davebate@gmail.com> to David Bate <david@bate.org.uk>. Request was from David Bate <david@bate.org.uk> to control@bugs.debian.org. (Thu, 13 Jun 2013 09:21:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#646377; Package wnpp. (Sat, 28 Sep 2013 02:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Bate <david@bate.org.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 28 Sep 2013 02:51:04 GMT) Full text and rfc822 format available.

Message #79 received at 646377@bugs.debian.org (full text, mbox):

From: David Bate <david@bate.org.uk>
To: debian-devel-games@lists.debian.org
Cc: 646377@bugs.debian.org
Subject: Xonotic packaging for new games team members (was Nexuiz 2.5.2-7)
Date: Fri, 27 Sep 2013 21:25:51 -0500
On Friday 27 September 2013 23:17:06 Anton Balashov wrote:
> Hi, Simon.
> Thank you for detailed response! I agree, this reason is not enough
> for upload the new version.
> I wish know that earlier :) Anyway, I got some experience..
> About Xonotic packaging: I have week packaging skills yet and
> Xonotic is a big "project". Don't know, could I be useful?.. I'll
> think and maybe will ask David Bate.
> 
> 
> Thanks you.
> Anton.

Hi Anton,

In the whole Xonotic is big, but we can split it up and it becomes 
much easier :).  The problem is that it is too big for me alone...

Currently the engine that Xonotic uses (Darkplaces) is upto date in 
sid.  The next step is to package

1. gmqcc RFP: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=712125
a new QuakeC compiler used in Xonotic, or
2. q3map2 RFP: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=693637
the map compiler.

After a quick look, gmqcc looks like a good starting point to learn 
how to package.  I would be willing to help and even have a very quick 
start on the package that I can share if you take up the challenge.

q3map2 could be another start, though the upstream tarball has to be 
cleaned before it is suitable for Debian and so requires (a little) 
more work.
- Possibly we could use the UFO:AI map compiler that is not yet in 
Debian, but looks like it could be soon.  This has the potential of 
completely not working, or producing maps that are somehow not 
compatible with upstream Xonotic (?) but it would reduce clutter and 
maybe our work load.
- Another option would be to skip compiling the maps for a first 
packaging and use the ones provided upstream (along with source), like 
what is currently done for the other Quake derived games in Debian.

These are also options for any of the other new members of the games 
team!

David




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:56:58 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.